import type { UmbControllerHost } from '../../../../../../libs/controller-api/index.js';
import { UmbContextBase } from '../../../../../../libs/class-api/index.js';
export declare class UmbPropertyTypeContext extends UmbContextBase {
    #private;
    readonly alias: import("rxjs").Observable<string | undefined>;
    readonly label: import("rxjs").Observable<string | undefined>;
    constructor(host: UmbControllerHost);
    setAlias(alias: string | undefined): void;
    getAlias(): string | undefined;
    setLabel(label: string | undefined): void;
    getLabel(): string | undefined;
    destroy(): void;
}
